import pymongo
import network_constants as netconst
from database.MongoRepositoryBase import MongoRepositoryBase
import json

from typing import List

class Repository(MongoRepositoryBase):
    '''This is a repository for MongoDb.'''

    def __init__(self):
        super().__init__(netconst.SEMANTIC_LINKING_DB_HOSTNAME,
                         netconst.SEMANTIC_LINKING_DB_PORT,
                         'semanticLinkingDb')

        self._layer_collection = 'layer'

